Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| RichFaces Core API 4.1.0.20111014-M3
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.ajax4jsf.io
Class FastBufferInputStream

    java.lang.Object
      java.io.InputStream
          org.ajax4jsf.io.FastBufferInputStream

All Implemented Interfaces:
  Closeable

    public class FastBufferInputStream

extends InputStream

Class for reading from a byte array chain.

Author:
  glory

Constructor Summary
`FastBufferInputStream(ByteBuffer byteBuffer)`
`FastBufferInputStream(FastBufferOutputStream stream)` Deprecated.

Method Summary
`int` | `available()`
`void` | `mark(int readAheadLimit)`
`int` | `read()`
`int` | `read(byte[] b)`
`int` | `read(byte[] b, int off, int len)`
`void` | `reset()`
`long` | `skip(long n)`

Methods inherited from class java.io.InputStream
`close, markSupported`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FastBufferInputStream

    public FastBufferInputStream(ByteBuffer byteBuffer)

### FastBufferInputStream

    @Deprecated
    public FastBufferInputStream(FastBufferOutputStream stream)

  Deprecated.

  Creates instance of FastBufferInputStream.

  Parameters:
    `stream` -

Method Detail

### read

    public int read()
             throws IOException

  Specified by:
    `read` in class `InputStream`
  Throws:
    `IOException`
  See Also:
    `java.io.InputStream.read()`

### read

    public int read(byte[] b)
             throws IOException

  Overrides:
    `read` in class `InputStream`
  Throws:
    `IOException`
  See Also:
    `java.io.InputStream.read(byte b[])`

### read

    public int read(byte[] b,
                    int off,
                    int len)
             throws IOException

  Overrides:
    `read` in class `InputStream`
  Throws:
    `IOException`
  See Also:
    `java.io.InputStream.read(byte b[], int off, int len)`

### available

    public int available()
                  throws IOException

  Overrides:
    `available` in class `InputStream`
  Throws:
    `IOException`
  See Also:
    `java.io.InputStream.available()`

### mark

    public void mark(int readAheadLimit)

  Overrides:
    `mark` in class `InputStream`
  See Also:
    `java.io.InputStream.mark()`

### reset

    public void reset()

  Overrides:
    `reset` in class `InputStream`
  See Also:
    `java.io.InputStream.reset()`

### skip

    public long skip(long n)
              throws IOException

  Overrides:
    `skip` in class `InputStream`
  Throws:
    `IOException`
  See Also:
    `java.io.InputStream.skip()`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| RichFaces Core API 4.1.0.20111014-M3
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2011 JBoss, a division of Red Hat, Inc.. All Rights Reserved.